http://qs321.pair.com?node_id=1125228


in reply to Re^4: LPW $response->decoded_content different on different servers ?
in thread LWP $response->decoded_content different on different servers ?

The good server seems to use an older version of libwww-perl judging by the default User Agents.

Well, there is your problem :)

When I came back I forgot to look at the bundle version stuff, look at this

libwww-perl-5.837 20 Sep 2010 last appearance of Bundle::LWP libwww-perl-6.13 14 Feb 2015 Latest Release

In short, Bundle::LWP is dead, Changes doesn't explain why it went dead, but it did :)

Get the latest with cpan LWP  LWP::Protocol::https...

Replies are listed 'Best First'.
Re^6: LPW $response->decoded_content different on different servers ? (Bundle::LWP is dead)
by Transalp (Sexton) on Apr 30, 2015 at 09:04 UTC
    Solved :) Thank you very much for the help Anonymous

    Upgrading LWP did not help directly.
    It turns out the bad server had both Bundle::LWP and 'LWP' installed and got confused, the good server only has Bundle::LWP

    Removing the 'LWP' module from the bad server solved it for now.

      Um, that makes no sense :) but ok, i'll take your word for it
        It may have to do with me using 'Webmin' to manage my cpan modules. Installing cpan module 'LWP' through Webmin seems to have installed a second copy of Bundle::LWP without removing or overwriting the older one.